[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarArrayAsPSafeArray

Return internal array of variant value

## Declaration

Source position: variants.pp line 127

`function VarArrayAsPSafeArray(`
`const A: Variant`
`):pvararray;`

## Arguments

`A` |  | Variant to check.

## Function result

The internal array pointer

## Description

VarArrayAsPSafeArray returns the internal array of the variant A if it is a variant array. If not, an exception is raised.

## Errors

if the variant A is not an array, an EVariantInvalidArgError exception is raised.

## See also

VarIsArray |  | Check whether a variant is an array
EVariantInvalidArgError |  | Error raised when an invalid argument is detected